Subject: Re: x2goserver and rhel6.4 / selinux Problem

From: Mike Gabriel <[email-masked]>
Date: Thu, 27 Feb 2014 15:30:48 +0000

Control: tag -1 moreinfo

Hi Frank,

> ---------------------------
>
> ls -Z .Xauthority
>  -rw-------. frank users unconfined_u:object_r:default_t:s0 .Xauthority
>
> --------------------------
>
> Then I do a logout. Now, when I try to connect again to the x2go  
> server system, I get
> the following error message on the client side and no session is started.
>
> -----------------------------
> .....
>
> "Warning: Cookie mismatch in the X authentication data.
> "
>
> "Session: Terminating session at 'Thu Feb 27 09:40:05 2014'.
> Info: Your session was closed before reaching a usable state.
> Info: This can be due to the local X server refusing access to the client.
> Info: Please check authorization provided by the remote X application.
> Session: Session terminated at 'Thu Feb 27 09:40:05 2014'.
> "
>
> deleting proxy
>
> nxproxy not running
>
> proxy deleted
>
> -----------------------------------
>
> But when I change the selinux permissions to
>
> ------
>
> ls -Z .Xauthority
>
> -rw-------. frank users unconfined_u:object_r:xauth_home_t:s0 .Xauthority

What are the SELinux permissions after you have logged out?

Do you need that chcon command call when resuming sessions or when  
starting sessions.

Excuse my SELinux innocence at this point. I would like to add support  
for SELinux, but I need to understand better why we have to tweak the  
security context of .Xauthority for X2Go.

Thanks+Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb